#!/bin/sh

is_holidays() {
    if [ -z "$1" ]; then
        echo "0"
        return
    fi

    # 定义节日日期
    holidays=(
        "20241001" 
        "2024-10-01" 
        "20241225" 
        "2024-12-25" 
        "20250101" 
        "2025-01-01"
        # 农历春节 
        "20250129"
        "2025-01-29"
        "20250212"
        "2025-02-12"
    )
    
    h=$1

    # 遍历列表，判断元素是否存在
    for item in "${holidays[@]}"; do
        if [[ "$item" == "$h" ]]; then
            echo "1"
            return
        fi
    done

    echo "0"
}